Bug 182402 - gnucash's configure needs to reverse it library checking
gnucash's configure needs to reverse it library checking
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2006-02-22 07:11 EST by Karsten Hopp
Modified: 2014-03-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-04 02:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-02-22 07:11:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv: Gecko/20060202 Fedora/ Firefox/

Description of problem:
gnucache links against libdb-4.1 if compat-db-4.2 is installed in the buildroot.
It should try to link against the most current version first, then older ones.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install compat-db-4.2
2. rebuild gnucash
3. compare package requirements with original package

Actual Results:  During configure:
checking for __db185_open in -ldb-3... no
checking for __db185_open in -ldb-4.0... no
checking for __db185_open in -ldb-4.1... yes
(This check doesn't fail because db4/db.h is valid for db-4.1, too)

--- gnucash-1.8.12-3.x86_64.rpm 2006-02-22 11:27:36.000000000 +0100
+++ ../everything/gnucash-1.8.12-3.x86_64.rpm   2006-02-22 11:26:27.000000000 +0100
@@ -13,7 +13,7 @@

Expected Results:  no difference in package requirements

Additional info:

the configure script is checking for db-3, then db-4.0, db-4.1, db-4.2 and then db.

This order should be reversed to link against the newest db found in the buildroot.
Comment 1 Bill Nottingham 2006-02-22 13:05:20 EST
Hm, I may just look at fixing this upstream as it doesn't affect our built
packages ATM.
Comment 2 Bill Nottingham 2006-04-04 02:37:29 EDT
This should be fixed in 1.9.x.

Note You need to log in before you can comment on or make changes to this bug.